Subject: RFC 4309

From: Alfred Hönes <[email-masked]>
Date: Fri, 3 Feb 2006 15:35:48 +0100 (MEZ)

Hello,
I would like to draw your attention to a few small issues I found
in the recently published RFC 4309 authored by you.  (These are
strictly textual and formatting flaws only.)

(1)  [word omissions - and opportunity to simplify the text]

On page 6, the second paragraph of Section 5 says:

   Sequence Numbers are conveyed canonical network byte order.  Extended
   Sequence Numbers are conveyed canonical network byte order, placing
   the high-order 32 bits first and the low-order 32 bits second.
   Canonical network byte order is fully described in RFC 791, Appendix
   B.

The text should perhaps better say:

   Sequence Numbers are conveyed in canonical network byte order.
   Extended Sequence Numbers are conveyed in canonical network byte
   order, placing the high-order 32 bits first and the low-order 32 bits
   second.  Canonical network byte order is fully described in RFC 791,
   Appendix B.

The second half-sentence of the second sentence might even be considered
redundant, fully comprised by the term 'canonical network byte order',
and hence be omitted entirely.  Doing that, and following the maxim of
"making RFC text as simple as possible", the above text might be
abreviated to say:

   Sequence Numbers and Extended Sequence Numbers are conveyed in
   canonical network byte order.  Canonical network byte order is fully
   described in RFC 791, Appendix B.

Finally, considering that the SPI is a 32-bit number and covered by
the same ordering rule as well, the text might - even shorter - say:

   All fields are conveyed in canonical network byte order.  Canonical
   network byte order is fully described in RFC 791, Appendix B.

Please decide whether the initial text correction deserves an
Errata Note, possibly including the additional enhancement(s).

(2)  [spurious blank lines]

Like other contemporary RFCs, RFC 4309 suffers from a few spurious
blank lines inserted in the middle of sentences (on pp. 3, 9).
I already occasionally have communicated to the RFC Editor my
(subjective) conjecture that this flaw might be an artifact of
tools used in the transformation process fron I-D to RFC.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+